.detail-review-form,
.detail-review-form * {
    box-sizing: border-box;
}

.detail-review-form {
    width: 748px;
    background: #FFFFFF;
    box-shadow: 0px 12px 48px rgba(0, 0, 0, 0.08);
    border-radius: 20px;
    padding: 46px 60px 60px 60px;
    position: relative;
}

.detail-review-form .close-form {
    position: absolute;
    width: 16px;
    height: 16px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 18 18' fill='none'%3E%3Cpath d='M1 1L9 9M9 9L1 17M9 9L17 17M9 9L17 1' stroke='%23A2A2A2' stroke-opacity='0.8' stroke-width='2'/%3E%3C/svg%3E");
    background-size: contain;
    background-repeat: no-repeat;
    top: 20px;
    right: 20px;
    cursor: pointer;
}

.review-form-title {
    font-weight: 700;
    font-size: 24px;
    line-height: 150%;
    color: #000000;
    margin-bottom: 24px;
}

.review-form-input {
    margin-bottom: 33px;
}

.review-form-input label,
.rating-block .rating-label {
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    color: #1A181F;
    display: block;
    margin-bottom: 16px;
}

.review-form-input label .rqd,
.rating-block .rating-label .rqd {
    color: #D00025;
}

.review-form-input input,
.review-form-input textarea {
    padding: 23px 20px 22px 20px;
    background: #F4F7F7;
    border-radius: 10px;
    font-weight: 500;
    font-size: 15px;
    line-height: 25px;
    color: #000000;
    border: none;
    width: 100%;
    resize: none;
    height: 70px;
    caret-color: var(--red);
    overflow: hidden;
}

.review-form-input input:focus,
.review-form-input textarea:focus {
    border: none;
    outline: none;
}


.review-form-input input::placeholder,
.review-form-input textarea::placeholder {
    color: rgba(26, 24, 31, 0.6);
    font-family: 'Manrope';
    font-weight: 500;
    font-size: 15px;
    line-height: 25px;
    white-space: nowrap;
    overflow: hidden;
    /*
        -ms-text-overflow: ellipsis;
        -o-text-overflow: ellipsis;
        text-overflow: ellipsis;
        overflow: hidden;
        -ms-line-clamp: 1;
        -webkit-line-clamp: 1;
        line-clamp: 1;
        display: -webkit-box !important;
        display: box !important;
        word-wrap: break-word;
        -webkit-box-orient: vertical;
        box-orient: vertical;
        */
}

.review-form-input.error input,
.review-form-input.error textarea {
    border: 1px solid #D00025;
}

.review-form-input.error {
    position: relative;
}

.review-form-input.error:after {
    position: absolute;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    color: #D00025;
    content: '*Поле не заполнено';
    top: 0;
    right: 0;
}

.rating-block.error .rating-btn {
    border-top: 1px solid #D00025;
    border-bottom: 1px solid #D00025;
}

.rating-block.error .rating-btn:first-child {
    border-left: 1px solid #D00025;
}

.rating-block.error .rating-btn:last-child {
    border-right: 1px solid #D00025;
}

.rating-block.error {
    position: relative;
}

.rating-block.error:after {
    position: absolute;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    color: #D00025;
    content: '*Выберите оценку';
    top: 0;
    right: 0;
}

.rating-block {
    margin-bottom: 36px;
}

.rating-btns {
    display: flex;
    width: 100%;
    margin-bottom: 8px;
}

.rating-btn {
    flex: 0 0 10%;
    height: 40px;
    border: 1px solid #E8E8E9;
    border-left: none;
}

.rating-btn:first-child {
    border-radius: 10px 0 0 10px;
    border-left: 1px solid #E8E8E9;
}

.rating-btn:last-child {
    border-radius: 0 10px 10px 0;
}

.rating-btn.active {
    background: #D00025;
    border-color: #ffffff;

}

.rating-btn.active label {
    color: #ffffff;
}

.rating-btn input[type=radio] {
    display: none;
}

.rating-btn label {
    display: flex;
    cursor: pointer;
    position: relative;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    font-size: 14px;
    line-height: 150%;
    color: rgba(26, 24, 31, .5);
}

.rating-titles {
    display: flex;
    justify-content: space-between
}

.rating-title {
    color: rgba(26, 24, 31, .5);
    font-weight: 500;
    font-size: 12px;
    line-height: 150%;
}

.rating-title.rating-max {
    text-align: right;
}

.review-form-btn {
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    text-align: center;
    color: #FFFFFF;
    padding: 17px 24px;
    transition: all .2s;
    border-radius: 5px;
    background: #D00025;
    outline: none;
    border: 1px solid #D00025;
    cursor: pointer;
    width: 227px;
}

.review-form-btn:hover {
    color: #D00025;
    background: transparent;
}

.review-btns {
    display: flex;
    align-items: center;
}

.review-status {
    margin-left: 40px;
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    color: #8C8B8F;
}

.review-cancel {
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    text-align: right;
    color: #D00025;
    margin-left: auto;
    cursor: pointer;
    transition: all .2s;
}

.review-cancel-btn {
    background: transparent;
    border: 1px solid #D00025;
    border-radius: 12px;
    font-weight: 500;
    font-size: 14px;
    line-height: 19px;
    color: #D00025;
    display: none;
    align-items: center;
    justify-content: center;
    flex: 0 0 calc(50% - 5px);
    height: 60px;
}

.mobile-review-status {
    display: none;
}

.detail-review-end {
    font-weight: 700;
    font-size: 24px;
    line-height: 150%;
    text-align: center;
    color: #000000;
}

.review-form-input .voice-review {
    display: flex;
}

.review-form-input .voice-review .voice-review-btn {
    width: 56px;
    height: 56px;
    display: block;
    background: #D00025;
    border-radius: 50%;
    position: relative;
}

.review-form-input .voice-review .voice-review-btn:before {
    content: '';
    width: 19px;
    height: 19px;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.review-form-input .voice-review .voice-review-btn.record:before {
    background: url(/local/templates/new/images/voice-review-microphone.png) no-repeat;
    background-size: contain;
    width: 32px;
    height: 32px;
}

.review-form-input .voice-review .voice-review-btn.play:before {
    background: url(/local/templates/new/images/voice-review-play.png) no-repeat;
    background-size: contain;
}

.review-form-input .voice-review .voice-review-btn.pause:before {
    background: url(/local/templates/new/images/voice-review-pause.png) no-repeat;
    background-size: contain;
}

.review-form-input .voice-review .voice-review-btn.stop:before {
    background: url(/local/templates/new/images/voice-review-stop.png) no-repeat;
    background-size: contain;
}

.review-form-input .voice-review .duration-progress {
    margin: 10px 0 10px 20px;
    width: calc(100% - 75px);
}

.review-form-input .voice-review .duration-progress .duration {
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 17px;
    display: flex;
    justify-content: space-between;
}

.review-form-input .voice-review .duration-progress .duration a {
    color: #D00025;
    display: none;
}

.review-form-input .voice-review .duration-progress .progress .line {
    height: 3px;
    width: 100%;
    border-radius: 7px;
    background: rgba(208, 0, 37, 0.1);
    margin-top: 10px;
    position: relative;
}

.review-form-input .voice-review .duration-progress .progress .line:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 3px;
    width: 0;
    border-radius: 7px;
    background: #D00025;
}

.review-form-input .voice-review .duration-progress .progress .circle {
    position: absolute;
    width: 10px;
    height: 10px;
    background: #D00025;
    border-radius: 50%;
    top: -3px;
    left: 0;
}

@media (max-width: 1023px) {
    .detail-review-form {
        width: calc(100vw - 20px);
        padding: 20px;
    }

    .review-form-title {
        font-size: 20px;
        margin-bottom: 16px;
        padding-right: 34px;
    }

    .review-form-input label, .rating-block .rating-label {
        font-weight: 500;
        margin-bottom: 11px;
    }

    .review-form-input input, .review-form-input textarea {
        padding: 17px 20px;
        height: 60px;
        font-size: 14px;
    }

    .review-form-input input::placeholder,
    .review-form-input textarea::placeholder {
        font-size: 14px;
    }

    .review-form-input {
        margin-bottom: 23px;
    }

    .detail-review-form .close-form {
        width: 14px;
        height: 14px;
    }

    .review-btns {
        justify-content: space-between;
    }

    .review-form-btn {
        flex: 0 0 calc(50% - 5px);
        font-weight: 500;
        font-size: 14px;
        line-height: 19px;
        height: 60px;
        border-radius: 12px;
    }

    .rating-btn {
        flex: 0 0 10%;
        position: relative;
        padding-top: calc(10% - 2px);
        height: auto;
        border-radius: 50% !important;
        border: 1px solid #E8E8E9 !important;
    }

    .rating-btn label {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .rating-block {
        margin-bottom: 26px;
    }

    .review-cancel-btn {
        display: flex;
    }

    .review-cancel {
        font-size: 14px;
        line-height: 19px;
        font-weight: 500;
        width: 100%;
        text-align: center;
    }

    .review-status {
        display: none;
    }

    .mobile-review-status {
        display: block;
        margin: -9px 0 20px 0;
        font-weight: 500;
        font-size: 12px;
        line-height: 16px;
        color: #8C8B8F;
    }
}